/*******************************************************************************
 * ParticleLightEnvironmentComponent generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ParticleLightEnvironmentComponent extends DynamicLightEnvironmentComponent
    native(Light);

var protected const transient int ReferenceCount;
var const transient int NumPooledReuses;
var const transient Actor SharedInstigator;
var const transient ParticleSystem SharedParticleSystem;
var bool bAllowDLESharing;

defaultproperties
{
    ReferenceCount=1
    NumPooledReuses=1
    bAllowDLESharing=true
    InvisibleUpdateTime=10.0
    MinTimeBetweenFullUpdates=3.0
    bForceCompositeAllLights=true
    bAffectedBySmallDynamicLights=false
    BoundsMethod=EDynamicLightEnvironmentBoundsMethod.DLEB_ActiveComponents
}